curl --request POST \
--url https://api.cloudglue.dev/v1/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true,
"include_chapters": false,
"include_shots": false,
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.cloudglue.dev/v1/extract"
payload = {
"url": "<string>",
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": True,
"enable_segment_level_entities": True,
"enable_transcript_mode": True,
"enable_metadata_mode": True,
"include_chapters": False,
"include_shots": False,
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
prompt: '<string>',
schema: {},
enable_video_level_entities: true,
enable_segment_level_entities: true,
enable_transcript_mode: true,
enable_metadata_mode: true,
include_chapters: false,
include_shots: false,
segmentation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.cloudglue.dev/v1/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudglue.dev/v1/extract",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'prompt' => '<string>',
'schema' => [
],
'enable_video_level_entities' => true,
'enable_segment_level_entities' => true,
'enable_transcript_mode' => true,
'enable_metadata_mode' => true,
'include_chapters' => false,
'include_shots' => false,
'segmentation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloudglue.dev/v1/extract"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"prompt\": \"<string>\",\n \"schema\": {},\n \"enable_video_level_entities\": true,\n \"enable_segment_level_entities\": true,\n \"enable_transcript_mode\": true,\n \"enable_metadata_mode\": true,\n \"include_chapters\": false,\n \"include_shots\": false,\n \"segmentation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloudglue.dev/v1/extract")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"prompt\": \"<string>\",\n \"schema\": {},\n \"enable_video_level_entities\": true,\n \"enable_segment_level_entities\": true,\n \"enable_transcript_mode\": true,\n \"enable_metadata_mode\": true,\n \"include_chapters\": false,\n \"include_shots\": false,\n \"segmentation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudglue.dev/v1/extract")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"prompt\": \"<string>\",\n \"schema\": {},\n \"enable_video_level_entities\": true,\n \"enable_segment_level_entities\": true,\n \"enable_transcript_mode\": true,\n \"enable_metadata_mode\": true,\n \"include_chapters\": false,\n \"include_shots\": false,\n \"segmentation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"status": "pending",
"url": "<string>",
"created_at": 123,
"extract_config": {
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true
},
"segmentation_id": "<string>",
"data": {
"entities": {},
"segment_entities": [
{
"start_time": 123,
"end_time": 123,
"entities": {},
"thumbnail_url": "<string>"
}
],
"thumbnail_url": "<string>"
},
"total": 123,
"limit": 123,
"offset": 123,
"error": "<string>",
"chapters": [
{
"index": 1,
"start_time": 1,
"end_time": 1,
"description": "<string>"
}
],
"shots": [
{
"index": 1,
"start_time": 1,
"end_time": 1
}
],
"total_chapters": 1,
"total_shots": 1
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Extract from Video
Extract structured data from a video
curl --request POST \
--url https://api.cloudglue.dev/v1/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true,
"include_chapters": false,
"include_shots": false,
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.cloudglue.dev/v1/extract"
payload = {
"url": "<string>",
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": True,
"enable_segment_level_entities": True,
"enable_transcript_mode": True,
"enable_metadata_mode": True,
"include_chapters": False,
"include_shots": False,
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
prompt: '<string>',
schema: {},
enable_video_level_entities: true,
enable_segment_level_entities: true,
enable_transcript_mode: true,
enable_metadata_mode: true,
include_chapters: false,
include_shots: false,
segmentation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.cloudglue.dev/v1/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudglue.dev/v1/extract",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'prompt' => '<string>',
'schema' => [
],
'enable_video_level_entities' => true,
'enable_segment_level_entities' => true,
'enable_transcript_mode' => true,
'enable_metadata_mode' => true,
'include_chapters' => false,
'include_shots' => false,
'segmentation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloudglue.dev/v1/extract"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"prompt\": \"<string>\",\n \"schema\": {},\n \"enable_video_level_entities\": true,\n \"enable_segment_level_entities\": true,\n \"enable_transcript_mode\": true,\n \"enable_metadata_mode\": true,\n \"include_chapters\": false,\n \"include_shots\": false,\n \"segmentation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloudglue.dev/v1/extract")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"prompt\": \"<string>\",\n \"schema\": {},\n \"enable_video_level_entities\": true,\n \"enable_segment_level_entities\": true,\n \"enable_transcript_mode\": true,\n \"enable_metadata_mode\": true,\n \"include_chapters\": false,\n \"include_shots\": false,\n \"segmentation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudglue.dev/v1/extract")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"prompt\": \"<string>\",\n \"schema\": {},\n \"enable_video_level_entities\": true,\n \"enable_segment_level_entities\": true,\n \"enable_transcript_mode\": true,\n \"enable_metadata_mode\": true,\n \"include_chapters\": false,\n \"include_shots\": false,\n \"segmentation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"status": "pending",
"url": "<string>",
"created_at": 123,
"extract_config": {
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true
},
"segmentation_id": "<string>",
"data": {
"entities": {},
"segment_entities": [
{
"start_time": 123,
"end_time": 123,
"entities": {},
"thumbnail_url": "<string>"
}
],
"thumbnail_url": "<string>"
},
"total": 123,
"limit": 123,
"offset": 123,
"error": "<string>",
"chapters": [
{
"index": 1,
"start_time": 1,
"end_time": 1,
"description": "<string>"
}
],
"shots": [
{
"index": 1,
"start_time": 1,
"end_time": 1
}
],
"total_chapters": 1,
"total_shots": 1
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Body
Extract job parameters
Input media URL. Supports URIs of files uploaded to Cloudglue Files endpoint, public YouTube video URLs, public TikTok video URLs, public Loom share URLs, public HTTP URLs (including direct image URLs such as JPEG/PNG/WebP), and files which have been granted access to Cloudglue via data connectors.
Note that YouTube videos are currently limited to speech level understanding only. Public TikTok video URLs will be scraped and stored automatically — subject to charges. For files via our Data connectors, see our documentation on data connectors for setup information.
When enabled, extract entities from the file's metadata document (filename, file details, user metadata, and connector source metadata) instead of the media content. File-level entities only; flat 1 credit per file; works on metadata-only files without ingesting their media. Mutually exclusive with enable_transcript_mode.
Response
Successful response